Subject: Re: bug#65459: completing-read INITIAL-VALUE unaware of COLLECTION and REQUIRE-MATCH

From: Heime <[email-masked]>
Date: Sun, 27 Aug 2023 20:54:16 +0000

Sent with Proton Mail secure email.

------- Original Message -------
On Monday, August 28th, 2023 at 6:02 AM, Stefan Monnier <[email-masked]> wrote:

> > > Whether the default only shows up when instructed is a UI issue,
> > > which can/should be under control of a UI customization.
> > > Could one control the UI customization programmatically as well ?
> 
> 
> Don't know what you mean by that.
> The init file is executed and hence the way the users control their
> customization is programmatic, yes, but I suspect that's not what
> you mean. > Stefan

Users might want to use minibuffer reading with possibility of prefilling.
Not only from the Emacs Customisation Menu as usually recommended.